# encoding: utf-8
require 'fedux_org_stdlib/require_files'
require_library %w(active_support/inflector/transliterate)

# String
class String
  # Make umlauts less special
  #
  # This will remove accents and umlauts and other specialities from
  # characters.
  #
  # ä => a
  # á => a
  #
  # @example Simple Example
  #
  # 'Donald E. Knütz'.transliterate
  # #=> 'Donald E. Knutz'
  def transliterate
    ActiveSupport::Inflector.transliterate(self)
  end
end
