# encoding: utf-8
module FeduxOrgStdlib
  module GemPlugins
    # Placeholder when no associated gem found, displays warning
    class NoPlugin
      private

      attr_reader :name

      public

      def initialize(name)
        @name = name
      end

      # Is not an existing plugin
      def blank?
        true
      end

      def method_missing(*_args)
        warn "Warning: The plugin '#{name}' was not found! (no gem found)"
      end
    end
  end
end
