# encoding: utf-8
require 'fedux_org_stdlib/require_files'
require_library %w(rugged addressable/uri)

module FeduxOrgStdlib
  class RemoteRepository
    private

    attr_reader :url

    public

    def initialize(url)
      @url = Addressable::URI.heuristic_parse(url)
    end

    def clone_to(directory)
      system("git clone #{url} #{directory} >/dev/null 2>&1")
    end
  end
end
