# encoding: utf-8
module FeduxOrgStdlib
  class ShellLanguageDetector
    # The detected langauge
    class Language
      # @!attribute [r] language_code
      #   The language code, e.g de_DE.utf-8 => de
      #
      # @!attribute [r] country_code
      #   The country code, e.g de_DE.utf-8 => DE
      #
      # @!attribute [r] encoding
      #   The country code, e.g de_DE.utf-8 => utf-8
      attr_reader :language_code, :country_code, :encoding

      def initialize(language_code:, country_code:, encoding: nil)
        @language_code = language_code
        @country_code  = country_code
        @encoding      = encoding
      end
    end
  end
end
