# encoding: utf-8
require 'fedux_org_stdlib/require_files'
require_library %w(versionomy forwardable)

module FeduxOrgStdlib
  module VersionManagement
    # Software version
    class SoftwareVersion
      extend Forwardable

      def_delegators :@version, :to_s

      def initialize(version)
        @version = Versionomy.parse(version)
      end

      def update(*args)
        initialize(*args)
      end

      def bump(type)
        @version = @version.bump(type)
      end
    end
  end
end
