# encoding: utf-8
require 'fedux_org_stdlib/core_ext/string/transliterate'

# String
class String
  # Convert string to characters only
  #
  # This will remove accents and umlauts and other special characters
  #
  # @example Simple Example
  #
  # 'Donald E. Knütz'.characterize
  # #=> 'donald-e-knuth'
  def characterize
    transliterate.parameterize
  end
end
