# encoding: utf-8
module FeduxOrgStdlib
  class DirectoryFinder
    module Exceptions
      # No allowed config file could be found
      class NoConfigDirectoryFound < StandardError; end

      # If no module is given on class
      class NamespaceIsMissing < StandardError; end

      # If no class name is present
      class ClassNameIsMissing < StandardError; end
    end
  end
end
