# encoding: utf-8
require 'fedux_org_stdlib/project'

namespace :report do
  plan   = FeduxOrgStdlib::Project::Plan.new
  report = FeduxOrgStdlib::Project::Report.new(plan)

  desc 'Generate report'
  task :generate do
    report.generate
  end

  desc 'Show report'
  task show: :generate do
    report.open
  end
end
