# encoding: utf-8

require 'fedux_org_stdlib/rake/version_bump_task'

FeduxOrgStdlib::Rake::VersionBumpTask.new(name: 'version:bump:major', description: 'Bump major version part') { |t| t.bump_version :major }
FeduxOrgStdlib::Rake::VersionBumpTask.new(name: 'version:bump:minor', description: 'Bump minor version part') { |t| t.bump_version :minor }
FeduxOrgStdlib::Rake::VersionBumpTask.new(name: 'version:bump:tiny',  description: 'Bump tiny version part')   { |t| t.bump_version :tiny }
FeduxOrgStdlib::Rake::VersionBumpTask.new(name: 'version:bump',       description: 'Bump version to ENV["VERSION"] or ENV["version"]') { |t| t.version ENV['VERSION'] || ENV['version'] }
