# encoding: utf-8
require 'fedux_org_stdlib/roles/versionable'
require 'fedux_org_stdlib/rake/task'

task = FeduxOrgStdlib::Rake::Task.new(
  name: 'version:show',
  description: 'Show version'
) do |_t|
  $stderr.puts FeduxOrgStdlib::VersionManagement::RubygemVersionFile.read(version_file).version
end
task.include FeduxOrgStdlib::Roles::Versionable
